Skip to content

Lifecycle

All operations require authentication.

7 operationsv1/xdsl/{serviceName}
Agent setup

Get whether a resiliation can be canceledProduction

GET
/1.0/xdsl/{serviceName}/canCancelResiliation

Returns whether the ongoing resiliation of the access can still be canceled.

Path parameters

serviceName
required
string

Service name

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/canCancelResiliation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Cancel the resiliation of an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/cancelResiliation

Cancels the ongoing resiliation of the access. Check first that it can be canceled with canCancelResiliation.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/cancelResiliation \
  -H "authorization: Bearer $OVH_TOKEN"

Switch an xDSL access to total deconsolidationProduction

POST
/1.0/xdsl/{serviceName}/requestTotalDeconsolidation

Switches the access to total deconsolidation, porting its line number with its RIO code unless noPortability is set. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

noPortability
boolean

Do not port the number

rio
string

A token to prove the ownership of the line number, needed to port the number

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/requestTotalDeconsolidation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Resiliate an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/resiliate

Requests the resiliation of the access at the given date with a resiliation survey. Returns the resiliation status, effective date and whether the modem must be returned.

Path parameters

serviceName
required
string

Service name

Request body (required)

resiliationDate
stringdate-time

The desired resiliation date

resiliationSurvey
required
ResiliationSurvey

Information about the reason for the resiliation

Response

200ResiliationFollowUpDetailsuccessful operation
dateTodo
read-only
stringdate-time

Date when the resiliation will take effect

needModemReturn
read-only
boolean

If the customer needs to return his modem

registrationDate
read-only
stringdate-time

Date when the resiliation was done

status
read-only
string

Status of the resiliation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/resiliate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}

Get the resiliation follow-up of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/resiliationFollowup

Returns the status of the ongoing resiliation of the access, its effective date and whether the modem must be returned.

Path parameters

serviceName
required
string

Service name

Response

200ResiliationFollowUpDetailsuccessful operation
dateTodo
read-only
stringdate-time

Date when the resiliation will take effect

needModemReturn
read-only
boolean

If the customer needs to return his modem

registrationDate
read-only
stringdate-time

Date when the resiliation was done

status
read-only
string

Status of the resiliation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/resiliationFollowup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}

Get the resiliation terms of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/resiliationTerms

Returns, for a resiliation date, the amount due, the engagement end date, the minimum resiliation date and the available resiliation reasons.

Path parameters

serviceName
required
string

Service name

Query parameters

resiliationDate
stringdate-time

The desired resiliation date

Response

200ResiliationTermssuccessful operation
due
read-only
Price

Price with it's currency and textual representation

engageDate
read-only
stringdate-time

Date until which the customer is engaged

minResiliationDate
read-only
stringdate-time

Minumum resiliationDate

resiliationDate
read-only
stringdate-time

Date at which the access will be resiliated

resiliationReasons
read-only
ResiliationReasonEnum[]

List of available resiliation reasons

ValuesaddressMovebillingProblemscessationOfActivitychangeOfTermsftthgoToCompetitorothertechnicalProblems

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/resiliationTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "due": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "engageDate": "2024-01-01T12:00:00Z", "minResiliationDate": "2024-01-01T12:00:00Z", "resiliationDate": "2024-01-01T12:00:00Z", "resiliationReasons": [ "addressMove" ]}

Get the total deconsolidation terms of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/totalDeconsolidationTerms

Returns the price, the monthly price and the engagement duration to switch the access to total deconsolidation.

Path parameters

serviceName
required
string

Service name

Response

200DeconsolidationTermssuccessful operation
engagement
read-only
number

Duration of month the access will be engaged

monthlyPrice
read-only
Price

Price with it's currency and textual representation

price
read-only
Price

Price with it's currency and textual representation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/totalDeconsolidationTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "engagement": 0, "monthlyPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }}